but Suggest ConsoleKit-x11?
[packages/PackageKit.git] / PackageKit.spec
CommitLineData
d05d9108
MB
1# TODO:
2# - BASH command-not-found functionality disabled for now as it needs patched bash
3# (details in bash from Fedora Rawhide)
d05d9108
MB
4#
5# Conditional build:
53810c7c
JB
6%bcond_without doc # build without docs
7%bcond_without introspection # gobject introspection, time to time broken
d06070b1 8%bcond_with alpm # ALPM (Arch Linux package manager) backend
04e18045
JB
9%bcond_with apt # APT (Debian/Ubuntu) backend using C++ API
10%bcond_with entropy # Entropy (Sabayon) backend (Python)
11%bcond_with hif # HIF (Fedora/RHEL) backend
12%bcond_with katja # Katja (Slackware) backend
13%bcond_with pisi # PiSi (Pardus) backend (Python)
14%bcond_without poldek # Poldek (PLD) backend
15%bcond_with portage # portage (Gentoo) backend (Python)
16%bcond_with ports # ports (FreeBSD) backend (Ruby)
17%bcond_with urpmi # urpmi (Mandriva/Mageia) backend (Perl)
18%bcond_with zypp # ZYPP (openSUSE/SLE) backend
19%bcond_without python # Python binding (only for a few backends)
53810c7c 20%bcond_with browser # browser plugin (patrys says: it's flawed by concept)
04e18045
JB
21# python binding is built when building any python binding
22%if %{without entropy} && %{without pisi} && %{without ports}
23%undefine with_python
24%endif
85d27e4f
JB
25Summary: System daemon that is a D-Bus abstraction layer for package management
26Summary(pl.UTF-8): Demon systemowy będący warstwą abstrakcji D-Bus do zarządzania pakietami
a2d83637 27Name: PackageKit
bcd7526e 28Version: 1.0.7
02b3d2d3 29Release: 1
a2d83637 30License: GPL v2+
85d27e4f 31Group: Applications/System
66e86606 32Source0: http://www.freedesktop.org/software/PackageKit/releases/%{name}-%{version}.tar.xz
bcd7526e 33# Source0-md5: 5d6fc6cdd44354c5b7bab7bb434cab1f
02b3d2d3
JB
34Patch0: %{name}-poldek.patch
35Patch1: %{name}-bashcomp.patch
04e18045 36Patch2: %{name}-format.patch
bcd7526e 37Patch3: consolekit-fallback.patch
a2d83637
MB
38URL: http://www.packagekit.org/
39BuildRequires: NetworkManager-devel >= 0.6.5
d06070b1
JB
40# pkgconfig(libalpm) >= 8.2.0
41%{?with_alpm:BuildRequires: alpm-devel >= 4}
ee375c30 42%{?with_hif:BuildRequires: appstream-glib-devel}
04e18045 43%{?with_apt:BuildRequires: apt-devel >= 0.7}
600be41c 44BuildRequires: autoconf >= 2.65
577193a4
JB
45BuildRequires: automake >= 1:1.11
46BuildRequires: connman-devel
04e18045 47%{?with_katja:BuildRequires: curl-devel}
6808f644 48BuildRequires: dbus-devel >= 1.2.0
f5f5e3ff 49BuildRequires: dbus-glib-devel >= 0.76
bdd8c0ca 50BuildRequires: docbook-dtd412-xml
51BuildRequires: docbook-dtd42-xml
dac2b5e1 52BuildRequires: fontconfig-devel
a0f1aeda 53BuildRequires: gettext-tools
53810c7c
JB
54BuildRequires: glib2-devel >= 1:2.32.0
55%{?with_introspection:BuildRequires: gobject-introspection-devel >= 0.9.9}
7cd3cbcf
MB
56BuildRequires: gstreamer-devel >= 1.0.0
57BuildRequires: gstreamer-plugins-base-devel >= 1.0.0
d05d9108 58BuildRequires: gtk+2-devel >= 2:2.14.0
dac2b5e1 59BuildRequires: gtk+3-devel >= 3.0.0
577193a4 60%{?with_doc:BuildRequires: gtk-doc >= 1.11}
d05d9108 61BuildRequires: intltool >= 0.35.0
78293e06 62BuildRequires: libarchive-devel
ee375c30 63%{?with_hif:BuildRequires: libhif-devel >= 0.1.7}
a2d83637 64BuildRequires: libtool
dac2b5e1 65BuildRequires: libxslt-progs
04e18045 66%{?with_zypp:BuildRequires: libzypp-devel >= 6.16.0}
dac2b5e1 67BuildRequires: pango-devel
a2d83637 68BuildRequires: pkgconfig
7cd3cbcf 69%{?with_poldek:BuildRequires: poldek-devel >= 0.30-1.rc6.4}
577193a4 70BuildRequires: polkit-devel >= 0.98
02b3d2d3 71%{?with_python:BuildRequires: python-devel >= 1:2.7}
827cd5e7 72BuildRequires: readline-devel
a2d83637 73BuildRequires: rpm-pythonprov
85d27e4f 74BuildRequires: rpmbuild(macros) >= 1.311
577193a4
JB
75BuildRequires: sqlite3-devel >= 3
76BuildRequires: systemd-devel
e216f3d9 77BuildRequires: tar >= 1:1.22
9ed4ca79 78BuildRequires: udev-glib-devel
e216f3d9 79BuildRequires: xz
dac2b5e1
AF
80%if %{with browser}
81BuildRequires: cairo-devel
a92a33f7 82BuildRequires: nspr-devel >= 4.8
04e18045 83BuildRequires: pango-devel
a92a33f7 84BuildRequires: xulrunner-devel >= 8.0
dac2b5e1 85%endif
fcd0bc5c 86Requires(post,postun): shared-mime-info
0d5f415c 87Requires: %{name}-backend
a2d83637 88Requires: %{name}-libs = %{version}-%{release}
8d48627e 89Requires: crondaemon
53810c7c 90Requires: polkit >= 0.98
48178e4e 91Suggests: ConsoleKit-x11
02b3d2d3
JB
92Obsoletes: PackageKit-backend-smart
93Obsoletes: PackageKit-backend-yum
7cd3cbcf 94Obsoletes: PackageKit-docs < 0.8.4
d113818a 95Obsoletes: pm-utils-packagekit
a2d83637
MB
96BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
97
98%description
99PackageKit is a D-Bus abstraction layer that allows the session user
100to manage packages in a secure way using a cross-distro,
101cross-architecture API.
102
85d27e4f
JB
103%description -l pl.UTF-8
104PackageKit to warstwa abstrakcji D-Bus pozwalająca użytkownikowi
105sesyjnemu w bezpieczny sposob zarządzać pakietami przy użyciu API
106zgodnego z wieloma dystrybucjami i architekturami.
107
a2d83637 108%package libs
d05d9108
MB
109Summary: packagekit-glib library
110Summary(pl.UTF-8): Biblioteka packagekit-glib
a2d83637 111Group: Libraries
53810c7c 112Requires: glib2 >= 1:2.32.0
a2d83637
MB
113
114%description libs
d05d9108 115packagekit-glib library.
a2d83637
MB
116
117%description libs -l pl.UTF-8
d05d9108 118Biblioteka packagekit-glib.
a2d83637
MB
119
120%package devel
d05d9108
MB
121Summary: Header files for packagekit-glib library
122Summary(pl.UTF-8): Pliki nagłówkowe biblioteki packagekit-glib
a2d83637
MB
123Group: Development/Libraries
124Requires: %{name}-libs = %{version}-%{release}
9ed4ca79 125Requires: dbus-devel >= 1.2.0
53810c7c 126Requires: glib2-devel >= 1:2.32.0
9ed4ca79 127Requires: sqlite3-devel
a2d83637
MB
128
129%description devel
d05d9108 130Header files for packagekit-glib library.
a2d83637
MB
131
132%description devel -l pl.UTF-8
d05d9108 133Pliki nagłówkowe biblioteki packagekit-glib.
a2d83637
MB
134
135%package static
d05d9108
MB
136Summary: Static packagekit-glib library
137Summary(pl.UTF-8): Statyczna biblioteka packagekit-glib
a2d83637
MB
138Group: Development/Libraries
139Requires: %{name}-devel = %{version}-%{release}
140
141%description static
d05d9108 142Static packagekit-glib library.
a2d83637
MB
143
144%description static -l pl.UTF-8
d05d9108
MB
145Statyczna biblioteka packagekit-glib.
146
16acf8d5
JB
147%package apidocs
148Summary: PackageKit library API documentation
149Summary(pl.UTF-8): Dokumentacja API biblioteki PackageKit
150Group: Documentation
151Requires: gtk-doc-common
2aa4ef3d
ER
152%if "%{_rpmversion}" >= "5"
153BuildArch: noarch
154%endif
16acf8d5
JB
155
156%description apidocs
157PackageKit library API documentation.
158
159%description apidocs -l pl.UTF-8
160Dokumentacja API biblioteki PackageKit.
161
d06070b1
JB
162%package backend-alpm
163Summary: PackageKit ALPM backend
164Summary(pl.UTF-8): Backend PackageKit oparty na bibliotece ALPM
165Group: Libraries
166Requires: %{name} = %{version}-%{release}
167Provides: %{name}-backend = %{version}-%{release}
d06070b1
JB
168
169%description backend-alpm
170A backend for PackageKit to enable Arch Linux packages via ALPM
171library.
172
173%description backend-alpm -l pl.UTF-8
174Backend PackageKit dodający obsługę pakietów Arch Linuksa poprzez
175bibliotekę ALPM.
176
04e18045
JB
177%package backend-aptcc
178Summary: PackageKit APTcc backend
179Summary(pl.UTF-8): Backend PackageKit APTcc
180Group: Libraries
181Requires: %{name} = %{version}-%{release}
182Provides: %{name}-backend = %{version}-%{release}
183
184%description backend-aptcc
185A backend for PackageKit to enable APT support via C++ API.
186
187%description backend-aptcc -l pl.UTF-8
188Backend PackageKit dodający obsługę zarządcy pakietów APT poprzez API
189C++.
190
191%package backend-entropy
192Summary: PackageKit Entropy backend
193Summary(pl.UTF-8): Backend PackageKit Entropy
194Group: Libraries
195Requires: %{name} = %{version}-%{release}
196Requires: python-packagekit = %{version}-%{release}
197#Requires: python-entropy
198Provides: %{name}-backend = %{version}-%{release}
199
200%description backend-entropy
201A backend for PackageKit to enable Sabayon packages support through
202Entropy package manager.
203
204%description backend-entropy -l pl.UTF-8
205Backend PackageKit dodający obsługę pakietów dystrybucji Sabayon przy
206użyciu zarządcy pakietów Entropy.
207
ee375c30
JB
208%package backend-hif
209Summary: PackageKit hif backend
210Summary(pl.UTF-8): Backend PackageKit oparty na bibliotece hif
211Group: Libraries
212Requires: %{name} = %{version}-%{release}
213Requires: libhif >= 0.1.7
214Provides: %{name}-backend = %{version}-%{release}
215Obsoletes: PackageKit-backend-hawkey
ee375c30
JB
216
217%description backend-hif
04e18045
JB
218A backend for PackageKit to enable RPM packages support via hif
219library (used in Fedora).
ee375c30
JB
220
221%description backend-hif -l pl.UTF-8
04e18045
JB
222Backend PackageKit dodający obsługę pakietów RPM poprzez bibliotekę
223hif (używaną w dystrybucji Fedora).
224
225%package backend-katja
226Summary: PackageKit Katja backend
227Summary(pl.UTF-8): Backend PackageKit Katja
228Group: Libraries
229Requires: %{name} = %{version}-%{release}
230Provides: %{name}-backend = %{version}-%{release}
231
232%description backend-katja
48178e4e 233Katja backend for PackageKit to enable Slackware repositories support.
04e18045
JB
234
235%description backend-katja -l pl.UTF-8
236Backend PackageKit Katja dodający obsługę repozytoriów Slackware.
237
238%package backend-pisi
239Summary: PackageKit PiSi backend
240Summary(pl.UTF-8): Backend PackageKit PiSi
241Group: Libraries
242Requires: %{name} = %{version}-%{release}
243Requires: python-packagekit = %{version}-%{release}
244#Requires: python-piksemel
245#Requires: python-pisi
246Provides: %{name}-backend = %{version}-%{release}
247
248%description backend-pisi
249A backend for PackageKit to enable PiSi packages support. PiSi
250packages are originated in Pardus distribution.
251
252%description backend-pisi -l pl.UTF-8
253Backend PackageKit dodający obsługę pakietów PiSi. Pakiety PiSi
254wywodzą się z dystrybucji Pardus.
ee375c30 255
0d5f415c
ER
256%package backend-poldek
257Summary: PackageKit Poldek backend
16acf8d5 258Summary(pl.UTF-8): Backend PackageKit oparty na Poldku
0d5f415c
ER
259Group: Libraries
260Requires: %{name} = %{version}-%{release}
7cd3cbcf 261Requires: poldek >= 0.30-1.rc6.4
16acf8d5 262Provides: %{name}-backend = %{version}-%{release}
0d5f415c
ER
263
264%description backend-poldek
04e18045
JB
265A backend for PackageKit to enable RPM packages support through Poldek
266- native PLD package manager.
0d5f415c 267
16acf8d5 268%description backend-poldek -l pl.UTF-8
04e18045
JB
269Backend PackageKit dodający obsługę pakietów RPM poprzez Poldka -
270natywnego zarządcę pakietów dystrybucji PLD.
271
272%package backend-portage
273Summary: PackageKit Portage backend
274Summary(pl.UTF-8): Backend PackageKit Portage
275Group: Libraries
276Requires: %{name} = %{version}-%{release}
277Requires: python-packagekit = %{version}-%{release}
278#Requires: python-portage
279Provides: %{name}-backend = %{version}-%{release}
280
281%description backend-portage
282A backend for PackageKit to enable Gentoo Portage support.
283
284%description backend-portage -l pl.UTF-8
285Backend PackageKit dodający obsługę systemu Portage dystrybucji
286Gentoo.
287
288%package backend-ports
289Summary: PackageKit Ports backend
290Summary(pl.UTF-8): Backend PackageKit Ports
291Group: Libraries
292Requires: %{name} = %{version}-%{release}
293#Requires: ruby-pkgtools
294Provides: %{name}-backend = %{version}-%{release}
295
296%description backend-ports
297A backend for PackageKit to enable FreeBSD Ports support.
298
299%description backend-ports -l pl.UTF-8
300Backend PackageKit dodający obsługę portów systemu FreeBSD.
301
302%package backend-urpmi
303Summary: PackageKit URPMI backend
304Summary(pl.UTF-8): Backend PackageKit URPMI
305Group: Libraries
306Requires: %{name} = %{version}-%{release}
307#Requires: perl-URPM
308Provides: %{name}-backend = %{version}-%{release}
309
310%description backend-urpmi
311A backend for PackageKit to enable RPM packages support through URPMI
312package manager (originated in Mandriva).
313
314%description backend-urpmi -l pl.UTF-8
315Backend PackageKit dodający obsługę pakietów RPM poprzez zarządcę
316URPMI (pochodzącego z dystrybucji Mandriva).
317
318%package backend-zypp
319Summary: PackageKit Zypp backend
320Summary(pl.UTF-8): Backend PackageKit Zypp
321Group: Libraries
322Requires: %{name} = %{version}-%{release}
323Requires: libzypp >= 6.16.0
324Provides: %{name}-backend = %{version}-%{release}
325
326%description backend-zypp
327A backend for PackageKit to enable RPM packages support through Zypp
328library (originated in openSUSE/SLE).
329
330%description backend-zypp -l pl.UTF-8
331Backend PackageKit dodający obsługę pakietów RPM poprzez bibliotekę
332Zypp (pochodzącą z dystrybucji openSUSE/SLE).
16acf8d5 333
d05d9108
MB
334%package gstreamer-plugin
335Summary: GStreamer codecs installer
336Summary(pl.UTF-8): Instalator kodeków GStreamera
337Group: Applications
338Requires: %{name} = %{version}-%{release}
5baab3aa 339Requires: %{name}-gtk-module = %{version}-%{release}
d05d9108
MB
340
341%description gstreamer-plugin
342The PackageKit GStreamer plugin allows any GStreamer application to
343install codecs from configured repositories using PackageKit.
344
345%description gstreamer-plugin -l pl.UTF-8
346Wtyczka GStreamer pozwala każdej aplikacji używającej GStreamera
347zainstalować kodeki ze skonfigurowanych źródeł PackageKit.
348
349%package gtk-module
350Summary: GTK+ module to detect and install missing fonts
351Summary(pl.UTF-8): Moduł GTK+ do wykrywania i instalowania brakujących czcionek
352Group: X11/Libraries
353
354%description gtk-module
355The PackageKit GTK+ module allows any pango application to install
356missing fonts from configured repositories using PackageKit.
357
358%description gtk-module -l pl.UTF-8
359Moduł GTK+ pozwala każdej aplikacji używającej pango zainstalować
360brakującą czcionkę ze skonfigurowanych źródeł PackageKit.
361
dac2b5e1
AF
362%package gtk3-module
363Summary: GTK+ 3.x module to detect and install missing fonts
364Summary(pl.UTF-8): Moduł GTK+ 3.x do wykrywania i instalowania brakujących czcionek
365Group: X11/Libraries
366
367%description gtk3-module
368The PackageKit GTK+ 3.x module allows any pango application to install
369missing fonts from configured repositories using PackageKit.
370
371%description gtk3-module -l pl.UTF-8
372Moduł GTK+ 3.x pozwala każdej aplikacji używającej pango zainstalować
373brakującą czcionkę ze skonfigurowanych źródeł PackageKit.
374
a2d83637 375%package -n bash-completion-packagekit
16acf8d5
JB
376Summary: Bash completion for PackageKit console commands
377Summary(pl.UTF-8): Bashowe uzupełnianie parametrów dla poleceń konsolowych PackageKit
a2d83637 378Group: Applications/Shells
577193a4
JB
379Requires: %{name} = %{version}-%{release}
380Requires: bash-completion >= 2
ead2d2f6
ER
381%if "%{_rpmversion}" >= "5"
382BuildArch: noarch
383%endif
a2d83637
MB
384
385%description -n bash-completion-packagekit
16acf8d5 386This package provides bash-completion for PackageKit console commands.
a2d83637
MB
387
388%description -n bash-completion-packagekit -l pl.UTF-8
16acf8d5
JB
389Pakiet ten dostarcza bashowe uzupełnianie parametrów dla poleceń
390konsolowych PackageKit.
a2d83637 391
a2d83637
MB
392%package -n python-packagekit
393Summary: PackageKit Python bindings
394Summary(pl.UTF-8): Wiązania PackageKit dla Pythona
395Group: Development/Languages/Python
396Requires: python-dbus
397Requires: python-pygobject
398
399%description -n python-packagekit
400PackageKit Python bindings.
401
86086d14 402%description -n python-packagekit -l pl.UTF-8
a2d83637
MB
403Wiązania PackageKit dla Pythona.
404
dac2b5e1
AF
405%package -n browser-plugin-packagekit
406Summary: PackageKit's browser plugin
407Summary(pl.UTF-8): Wtyczka PackageKit do przeglądarek WWW
408Group: X11/Libraries
409Requires: %{name} = %{version}-%{release}
410Requires: browser-plugins >= 2.0
411Requires: browser-plugins(%{_target_base_arch})
412
413%description -n browser-plugin-packagekit
414PackageKit's plugin for browsers.
415
416%description -n browser-plugin-packagekit -l pl.UTF-8
417Wtyczka PackageKit do przeglądarek WWW.
418
a2d83637
MB
419%prep
420%setup -q
d113818a 421%patch0 -p1
02b3d2d3 422%patch1 -p1
04e18045 423%patch2 -p1
bcd7526e 424%patch3 -p1
a2d83637
MB
425
426%build
9b8153ef 427%if %{with doc}
d05d9108 428%{__gtkdocize}
d5617342 429%endif
58e98be4 430%{__intltoolize}
a2d83637 431%{__libtoolize}
d05d9108 432%{__aclocal} -I m4
a2d83637
MB
433%{__autoconf}
434%{__autoheader}
435%{__automake}
04e18045 436%{?with_zypp:CPPFLAGS="%{rpmcppflags} -D_RPM_5 -I/usr/include/rpm"}
a2d83637 437%configure \
d05d9108 438 --disable-command-not-found \
577193a4
JB
439 --disable-dummy \
440 %{!?with_doc:--disable-gtk-doc} \
53810c7c 441 %{!?with_introspection:--disable-introspection} \
577193a4
JB
442 --disable-silent-rules \
443 --enable-bash-completion=%{bash_compdir} \
d06070b1 444 %{__enable_disable alpm} \
04e18045 445 %{__enable_disable apt aptcc} \
dac2b5e1 446 %{__enable_disable browser browser-plugin} \
04e18045 447 %{__enable_disable entropy} \
ee375c30 448 %{__enable_disable hif} \
04e18045
JB
449 %{__enable_disable katja} \
450 %{__enable_disable pisi} \
dac2b5e1 451 %{__enable_disable poldek} \
04e18045
JB
452 %{__enable_disable portage} \
453 %{__enable_disable ports} \
454 %{__enable_disable urpmi} \
455 %{__enable_disable zypp} \
577193a4
JB
456 --with-html-dir=%{_gtkdocdir} \
457 --with-mozilla-plugin-dir=%{_browserpluginsdir} \
458 --with-security-framework=polkit
a2d83637
MB
459%{__make}
460
461%install
462rm -rf $RPM_BUILD_ROOT
463
464%{__make} install \
465 DESTDIR=$RPM_BUILD_ROOT
466
d05d9108
MB
467# use pk-gstreamer-install as codec installer
468ln -s pk-gstreamer-install $RPM_BUILD_ROOT%{_libdir}/gst-install-plugins-helper
469
dac2b5e1
AF
470%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-{2,3}.0/modules/*.{la,a}
471%{__rm} $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.{la,a}
472%{__rm} $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/libpk_backend_test_*.so
473%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
474%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/PackageKit/helpers/test_spawn
475
476%if %{with browser}
477%{__rm} $RPM_BUILD_ROOT%{_browserpluginsdir}/*.{la,a}
478%endif
a2d83637 479
02b3d2d3
JB
480# empty version of bg
481%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/bg_BG
482# empty version of fa (empty as well BTW)
483%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/fa_IR
484# outdated copy of it
485%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/it_IT
9fced724 486
a2d83637
MB
487%py_postclean
488
6808f644
MB
489%find_lang %{name}
490
a2d83637
MB
491%clean
492rm -rf $RPM_BUILD_ROOT
493
fcd0bc5c
MB
494%post
495%update_mime_database
496
497%postun
498%update_mime_database
499
85d27e4f 500%post libs -p /sbin/ldconfig
a2d83637
MB
501%postun libs -p /sbin/ldconfig
502
dac2b5e1
AF
503%post -n browser-plugin-packagekit
504%update_browser_plugins
505
506%postun -n browser-plugin-packagekit
507if [ "$1" = 0 ]; then
508 %update_browser_plugins
509fi
510
6808f644 511%files -f %{name}.lang
a2d83637 512%defattr(644,root,root,755)
02b3d2d3 513%doc AUTHORS HACKING MAINTAINERS NEWS README
a2d83637
MB
514%attr(755,root,root) %{_bindir}/pkcon
515%attr(755,root,root) %{_bindir}/pkmon
50832223 516%attr(750,root,root) /etc/cron.daily/packagekit-background.cron
02b3d2d3
JB
517%attr(755,root,root) %{_libexecdir}/packagekit-direct
518%attr(755,root,root) %{_libexecdir}/packagekitd
519%attr(755,root,root) %{_libexecdir}/pk-offline-update
a2d83637 520%dir %{_libdir}/packagekit-backend
a2d83637
MB
521%dir %{_sysconfdir}/PackageKit
522%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/PackageKit.conf
d05d9108 523%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/Vendor.conf
5baab3aa
ER
524%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/packagekit-background
525/etc/dbus-1/system.d/org.freedesktop.PackageKit.conf
d05d9108 526%dir %{_datadir}/PackageKit
6e66a3a4 527%dir %{_datadir}/PackageKit/helpers
d05d9108 528%attr(755,root,root) %{_datadir}/PackageKit/pk-upgrade-distro.sh
f058dba9 529%{_datadir}/polkit-1/actions/org.freedesktop.packagekit.policy
577193a4 530%{_datadir}/polkit-1/rules.d/org.freedesktop.packagekit.rules
a2d83637 531%{_datadir}/dbus-1/system-services/org.freedesktop.PackageKit.service
a2d83637 532%{_mandir}/man1/pkcon.1*
78293e06 533%{_mandir}/man1/pkmon.1*
53810c7c 534%{systemdunitdir}/packagekit.service
7cd3cbcf 535%{systemdunitdir}/packagekit-offline-update.service
02b3d2d3
JB
536%dir %{systemdunitdir}/system-update.target.wants
537%{systemdunitdir}/system-update.target.wants/packagekit-offline-update.service
78293e06
MB
538%dir /var/cache/PackageKit
539%dir /var/cache/PackageKit/downloads
a2d83637 540%dir /var/lib/PackageKit
d05d9108 541%ghost /var/lib/PackageKit/transactions.db
a2d83637
MB
542
543%files libs
544%defattr(644,root,root,755)
74872af2 545%attr(755,root,root) %{_libdir}/libpackagekit-glib2.so.*.*.*
02b3d2d3 546%attr(755,root,root) %ghost %{_libdir}/libpackagekit-glib2.so.18
dac2b5e1 547%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib
2ab9cd42
JB
548# NOTE: dbus interface xmls are commonly used:
549# - at runtime by packagekitd
550# - for development of applications using PK dbus interface
551%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.Transaction.xml
552%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.xml
08c67dac 553
a2d83637
MB
554%files devel
555%defattr(644,root,root,755)
74872af2 556%attr(755,root,root) %{_libdir}/libpackagekit-glib2.so
74872af2 557%{_pkgconfigdir}/packagekit-glib2.pc
d05d9108 558%dir %{_includedir}/PackageKit
74872af2 559%{_includedir}/PackageKit/packagekit-glib2
dac2b5e1 560%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir
08c67dac 561
a2d83637
MB
562%files static
563%defattr(644,root,root,755)
74872af2 564%{_libdir}/libpackagekit-glib2.a
d05d9108 565
16acf8d5
JB
566%files apidocs
567%defattr(644,root,root,755)
568%{_gtkdocdir}/PackageKit
569
d06070b1
JB
570%if %{with alpm}
571%files backend-alpm
0d5f415c 572%defattr(644,root,root,755)
d06070b1
JB
573%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_alpm.so
574%dir %{_sysconfdir}/PackageKit/alpm.d
575%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/alpm.d/groups.list
576%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/alpm.d/pacman.conf
577%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/alpm.d/repos.list
0d5f415c
ER
578%endif
579
04e18045
JB
580%if %{with apt}
581%files backend-aptcc
582%defattr(644,root,root,755)
583%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_aptcc.so
584%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apt/apt.conf.d/20packagekit
585%dir %{_datadir}/PackageKit/helpers/aptcc
586%attr(755,root,root) %{_datadir}/PackageKit/helpers/aptcc/get-distro-upgrade.py
587%attr(755,root,root) %{_datadir}/PackageKit/helpers/aptcc/pkconffile
588%{_datadir}/PackageKit/helpers/aptcc/pkconffile.nodiff
589%endif
590
591%if %{with entropy}
592%files backend-entropy
593%defattr(644,root,root,755)
594%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_entropy.so
595%dir %{_datadir}/PackageKit/helpers/entropy
596%attr(755,root,root) %{_datadir}/PackageKit/helpers/entropy/entropyBackend.py
597%endif
598
ee375c30
JB
599%if %{with hif}
600%files backend-hif
601%defattr(644,root,root,755)
602%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_hif.so
603%endif
604
04e18045
JB
605%if %{with katja}
606%files backend-katja
607%defattr(644,root,root,755)
608%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_katja.so
609%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/Katja.conf
610%dir /var/cache/PackageKit/metadata
611%ghost /var/cache/PackageKit/metadata/metadata.db
612%endif
613
614%if %{with pisi}
615%files backend-pisi
616%defattr(644,root,root,755)
617%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_pisi.so
618%dir %{_datadir}/PackageKit/helpers/pisi
619%attr(755,root,root) %{_datadir}/PackageKit/helpers/pisi/pisiBackend.py
620%endif
621
d06070b1
JB
622%if %{with poldek}
623%files backend-poldek
624%defattr(644,root,root,755)
625%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_poldek.so
626%endif
627
04e18045
JB
628%if %{with portage}
629%files backend-portage
630%defattr(644,root,root,755)
631%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_portage.so
632%dir %{_datadir}/PackageKit/helpers/portage
633%attr(755,root,root) %{_datadir}/PackageKit/helpers/portage/portageBackend.py
634%endif
635
636%if %{with ports}
637%files backend-ports
638%defattr(644,root,root,755)
639%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_ports.so
640%dir %{_datadir}/PackageKit/helpers/ports
641%attr(755,root,root) %{_datadir}/PackageKit/helpers/ports/portsBackend.rb
642%{_datadir}/PackageKit/helpers/ports/ruby_packagekit
643%endif
644
645%if %{with urpmi}
646%files backend-urpmi
647%defattr(644,root,root,755)
648%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_urpmi.so
649%dir %{_datadir}/PackageKit/helpers/urpmi
650%attr(755,root,root) %{_datadir}/PackageKit/helpers/urpmi/urpmi-dispatched-backend.pl
651%{_datadir}/PackageKit/helpers/urpmi/perl_packagekit
652%{_datadir}/PackageKit/helpers/urpmi/urpmi_backend
653%endif
654
655%if %{with zypp}
656%files backend-zypp
657%defattr(644,root,root,755)
658%attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_zypp.so
659%endif
660
d05d9108
MB
661%files gstreamer-plugin
662%defattr(644,root,root,755)
663%doc contrib/gstreamer-plugin/README
02b3d2d3
JB
664%attr(755,root,root) %{_libexecdir}/gst-install-plugins-helper
665%attr(755,root,root) %{_libexecdir}/pk-gstreamer-install
d05d9108
MB
666
667%files gtk-module
668%defattr(644,root,root,755)
669%doc contrib/gtk-module/{GLASS.txt,README}
670%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libpk-gtk-module.so
671
dac2b5e1
AF
672%files gtk3-module
673%defattr(644,root,root,755)
674%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libpk-gtk-module.so
7cd3cbcf 675%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/pk-gtk-module.desktop
dac2b5e1 676
a2d83637
MB
677%files -n bash-completion-packagekit
678%defattr(644,root,root,755)
577193a4 679%{bash_compdir}/pkcon
a2d83637 680
02b3d2d3 681%if %{with python}
a2d83637
MB
682%files -n python-packagekit
683%defattr(644,root,root,755)
684%dir %{py_sitescriptdir}/packagekit
685%{py_sitescriptdir}/packagekit/*.py[co]
02b3d2d3 686%endif
dac2b5e1
AF
687
688%if %{with browser}
689%files -n browser-plugin-packagekit
690%defattr(644,root,root,755)
691%attr(755,root,root) %{_browserpluginsdir}/packagekit-plugin.so
692%endif
This page took 0.456906 seconds and 4 git commands to generate.